Class | Fog::Storage::HP::Real

In:

lib/fog/hp/requests/storage/delete_container.rb
lib/fog/hp/requests/storage/delete_object.rb
lib/fog/hp/requests/storage/get_container.rb
lib/fog/hp/requests/storage/get_containers.rb
lib/fog/hp/requests/storage/get_object.rb
lib/fog/hp/requests/storage/head_container.rb
lib/fog/hp/requests/storage/head_containers.rb
lib/fog/hp/requests/storage/head_object.rb
lib/fog/hp/requests/storage/put_container.rb
lib/fog/hp/requests/storage/put_object.rb
lib/fog/hp/storage.rb

Parent: | Object

### Methods

delete_container delete_object get_container get_containers get_object head_container head_containers head_object new put_container put_object reload request

### Included Modules

Utils

### Attributes

hp_cdn_ssl | [R] |

### Public Class methods

new(options={})

### Public Instance methods

delete_container(name)

Delete an existing container

#### Parameters

- name<~String> - Name of container to delete

delete_object(container, object)

Delete an existing object

#### Parameters

- container<~String> - Name of container to delete
- object<~String> - Name of object to delete

get_container(container, options = {})

Get details for container and total bytes stored

#### Parameters

- container<~String> - Name of container to retrieve info for
- options<~String>:
  - ‘limit’<~String> - Maximum number of objects to return
  - ‘marker’<~String> - Only return objects whose name is greater than marker
  - ‘prefix’<~String> - Limits results to those starting with prefix
  - ‘path’<~String> - Return objects nested in the pseudo path

#### Returns

- response<~Excon::Response>:
  - headers<~Hash>:
    - ‘X-Account-Container-Count’<~String> - Count of containers
    - ‘X-Account-Bytes-Used’<~String> - Bytes used
  - body<~Array>:
    - ‘bytes’<~Integer> - Number of bytes used by container
    - ‘count’<~Integer> - Number of items in container
    - ‘name’<~String> - Name of container
    - item<~Hash>:
      - ‘bytes’<~String> - Size of object
      - ‘content_type’<~String> Content-Type of object
      - ‘hash’<~String> - Hash of object (etag?)
      - ‘last_modified’<~String> - Last modified timestamp
      - ‘name’<~String> - Name of object

get_containers(options = {})

List existing storage containers

#### Parameters

- options<~Hash>:
  - ‘limit’<~Integer> - Upper limit to number of results returned
  - ‘marker’<~String> - Only return objects with name greater than this value

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - container<~Hash>:
      - ‘bytes’<~Integer>: - Number of bytes used by container
      - ‘count’<~Integer>: - Number of items in container
      - ‘name’<~String>: - Name of container

get_object(container, object, &block)

Get details for an object

#### Parameters

- container<~String> - Name of container to look in
- object<~String> - Name of object to look for

head_container(container)

List number of objects and total bytes stored

#### Parameters

- container<~String> - Name of container to retrieve info for

#### Returns

- response<~Excon::Response>:
  - headers<~Hash>:
    - ‘X-Container-Object-Count’<~String> - Count of containers
    - ‘X-Container-Bytes-Used’<~String> - Bytes used

head_containers()

List number of containers and total bytes stored

#### Returns

- response<~Excon::Response>:
  - headers<~Hash>:
    - ‘X-Account-Container-Count’<~String> - Count of containers
    - ‘X-Account-Bytes-Used’<~String> - Bytes used

head_object(container, object)

Get headers for object

#### Parameters

- container<~String> - Name of container to look in
- object<~String> - Name of object to look for

put_container(name, options = {})

Create a new container

#### Parameters

- name<~String> - Name for container, should be < 256 bytes and must not contain ’/’

put_object(container, object, data, options = {})

Create a new object

#### Parameters

- container<~String> - Name for container, should be < 256 bytes and must not contain ’/’

reload()
request(params, parse_json = true, &block)

[Validate]